## edu.stanford.nlp.optimization
Interface DiffFloatFunction

All Superinterfaces:
  FloatFunction

    public interface DiffFloatFunction

extends FloatFunction

An interface for once-differentiable double-valued functions over double arrays. NOTE: it'd be good to have an AbstractDiffFunction that wrapped a Function with a finite-difference approximation.

Since:
  1.0
Author:
  Dan Klein
See Also:
  `Function`

Method Summary
`float[]` `derivativeAt(float[] x)` Returns the first-derivative vector at the input location.

Methods inherited from interface edu.stanford.nlp.optimization.FloatFunction
`domainDimension, valueAt`

Method Detail

### derivativeAt

    float[] derivativeAt(float[] x)

  Returns the first-derivative vector at the input location.

  Parameters:
    `x` - a `double[]` input vector
  Returns:
    the vector of first partial derivatives.

Stanford NLP Group